/**
 * This object the object that runs the simulation. Right now it is very simple, just
 * setting up a few objects, passing references to the display code, and providing a hook
 * for the user to toggle with the button.
 * 
 * Author: Simon Parsons
 * Last modified: 23rd September
 */
public class EcoSystem{
	
	private EcoFrame eFrame;
	private Rabbit peter = new Rabbit();
	private Rabbit benjamin = new Rabbit();
	private Fox todd = new Fox();
	
	/** 
	 * Code to pass references to the objects in the simulation to the display
	 * code.
	 * 
	 * Needs to be separate from the constructor so that there is no restriction on
	 * whether an EcoSystem object can be created before an EcoFrame object.
	 */
	public void setUp(){
		eFrame.addElementToSimulation(peter);
		eFrame.addElementToSimulation(benjamin);
		eFrame.addElementToSimulation(todd);	
	}
	
	public void addDisplay(EcoFrame eFrame){
		this.eFrame = eFrame;
	}
	
	/**
	 * Right now this is all the simulation does --- move the objects it knows about in
	 * response to a button press.
	 */
	public void moveAnimals(){
		peter.move();
		benjamin.move();
		todd.move();
		peter.eat();
	}
}